#!/bin/sh
# Copyright IBM Corp. 2000-2001

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#
# Wizard Update Installer Application Launcher
#----------------------------------------------------------------------------------

#---------------------------
# Make sure the user is root
#---------------------------
id | cut -d " " -f1 | grep "root"

if [ $? -ne 0 ]; then
	echo "must logged in as root to apply the fixpack, exiting"
	exit 1
fi

echo this script modifies LDAP setting and redeploy the TCEAR

echo "ldapmodify"
# Prompt for LDAP client install directory, LDAP Admin user and password

echo "Enter LDAP client install directory(/usr/ldap): "; read LDAPDIR
LDAPDIR=${LDAPDIR:=/usr/ldap}

echo "Enter fully qualified LDAP server name: "; read LDAPHOST
LDAPHOST=${LDAPHOST:=}

echo "LDAP Administrator name is: (root): "; read ADMIN
ADMIN=${ADMIN:=root}

while :
do
   echo "Enter LDAP admin password: "; stty -echo; read ADMIN_PWD1; stty echo; echo
   echo "Re-enter LDAP admin password: "; stty -echo; read ADMIN_PWD2; stty echo; echo
   if [ "$ADMIN_PWD1" != "$ADMIN_PWD2" ]; then
      echo "%LDAPMOIFY-E-BADPWD, The two passwords are not the same"
      echo
      continue
   fi
   break
done
   
while :
do

echo ""
echo "============================================"
echo "Summary:"
echo "LDAP Location = " $LDAPDIR
echo "LDAP Hostname = " $LDAPHOST
echo "LDAP Admin    = " $ADMIN
echo "Confirm the above information is correct by entering 1 or 2"
echo "1: Yes - Is the Information above correct."
echo "2: No  - Is the Information above incorrect. Please re-run script"
echo "============================================"
echo ""

read TEMP
  if [ "$TEMP" -eq 1 ];
    then
       break;
    elif [ "$TEMP" -eq 2 ];
       then
          exit 0
       else
          echo "Invalid entry."
          continue
  fi
done

ADMIN_PWD=${ADMIN_PWD2:=invalid}

# Define local variables
# 
MY_TEMP=/tmp/temp$$.txt

echo "Executing command:" $LDAPDIR/bin/ldapmodify -h $LDAPHOST -D cn=$ADMIN -w "****" -f /home/thinkcontrol/tools/fp2/newAttribute.ldif
$LDAPDIR/bin/ldapmodify -h $LDAPHOST -D cn=$ADMIN -w $ADMIN_PWD -f /home/thinkcontrol/tools/fp2/newAttribute.ldif | tee ldapmodify$$

if [ "$?" -ne 0 ]; then
    echo "%LDAPMODIFY-E-CANTMODIFY, unable to modify LDAP"
    echo "Please go to LDAP install directory, and run the command "
    echo "ldapmodify -h <ldap server name> -D <LDAP Administrator name> -w <LDAP Admin Password> -f $TC_HOME/tools/fp2/newAttribute.ldif"
    rm ldapmodify$$
    exit 1
fi     

echo "Re-deploying EAR file"

echo "#################################################"
echo "Do you want to Re-Deploy the updated EAR file ?"
echo "Please note that this is required to completely install the fix pack."
echo "#################################################"
#prompt for yes or no before re-deploying the TCEAR
echo "Enter 'yes' to deploy TCEAR, 'no' to exit: "; read RESPONSE
if [ "$RESPONSE" = "no" ]; then
	echo "You have choosen not to redeploy TCEAR now, exiting"
        echo "Please note that this is required to completely install the fix pack."
	exit 1
else
	#Prompt for was Admin user name and password
	echo "WAS Administrator name is: (wasadmin): "; read WASADMIN
	WASADMIN=${WASADMIN:=wasadmin}

	while :
	do
   		echo "Enter WAS admin password: "; stty -echo; read WASADMIN_PWD1; stty echo; echo
  		echo "Re-enter WAS admin password: "; stty -echo; read WASADMIN_PWD2; stty echo; echo
   		if [ "$WASADMIN_PWD1" != "$WASADMIN_PWD2" ]; then
      			echo "%WASDEPLOY-E-BADPWD, The two passwords are not the same"
      			echo
      			continue
   		fi
   		break
	done
   
	WASADMIN_PWD=${WASADMIN_PWD2:=invalid}

	if [ -f /home/thinkcontrol/.bash_profile ]; then
		su - tioadmin -c '. .bash_profile; $WAS_HOME/bin/startServer.sh server1'
		su - tioadmin -c '. .bash_profile; $WAS_HOME/bin/wsadmin.sh -f $HOME/tools/was_deploy.jacl $HOME/lib/tcje.ear -username '$WASADMIN' -password '$WASADMIN_PWD''
		if [ "$?" -ne 0 ]; then
			echo "TCEAR-E-DEPLOY: error when deploying tcje.ear"
		fi
		su - tioadmin -c '. .bash_profile; $WAS_HOME/bin/stopServer.sh server1 -username '$WASADMIN' -password '$WASADMIN_PWD''
	else
		su - tioadmin -c '. .profile; $WAS_HOME/bin/startServer.sh server1'
		su - tioadmin -c '. .profile; $WAS_HOME/bin/wsadmin.sh -f $HOME/tools/was_deploy.jacl $HOME/lib/tcje.ear -username '$WASADMIN' -password '$WASADMIN_PWD''
		if [ "$?" -ne 0 ]; then
			echo "TCEAR-E-DEPLOY: error when deploying tcje.ear"
		fi
		su - tioadmin -c '. .profile; $WAS_HOME/bin/stopServer.sh server1 -username '$WASADMIN' -password '$WASADMIN_PWD''
	fi	
fi


